Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 736888 - =dev-python/jedi-0.17.2 with >=dev-python/parso-0.8.0 produces failures(?) - upstream has deferred fixing its compatibility
Summary: =dev-python/jedi-0.17.2 with >=dev-python/parso-0.8.0 produces failures(?) - ...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-12 15:22 UTC by Markus Oehme
Modified: 2020-08-12 18:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Oehme 2020-08-12 15:22:31 UTC
As stated in [1]. Otherwise failures occur. I discovered this when trying to run the python-language-server (which did not run).

Note that this dependency has changed in the current HEAD revision.

[1] https://github.com/davidhalter/jedi/blob/c09e21ae4bf63baa5723f73260581a50f317cb46/requirements.txt
Comment 1 Markus Oehme 2020-08-12 18:34:53 UTC
Here is the error that pops up during the attempt:

<pre>
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (parso 0.8.0 (/usr/lib/python3.7/site-packages), Requirement.parse('parso<0.8.0,>=0.7.0'), {'jedi'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.7/pyls", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'parso<0.8.0,>=0.7.0' distribution was not found and is required by jedi
</pre>